Atom Packages Directory

a package directory for a text editor of the 21st Century

Autocomplete En En by Shuai Wu

Install with:
    apm install autocomplete-en-en
  

Introduction

An autocomplete-plus provider completing English words with the hint of English explanation.

This package requires autocomplete-plus and fuzzaldrin. The package fuzzaldrin is one of the core package of atom which has been installed by default. This package offers a fuzzy match function which is useful for uncertain words. The dictionary is based on the Oxford advanced learner dictionary.

Usage

For the defined file types, it will complete automatically. Like the figure shows below.

A screenshot of the package using

The default setting includes text file, latex file, markdown file, null grammar file. If you need to add your file type, add the type string in the setting panel.

A screenshot of the setting page

To enable completion for your current file type, open one of the file and put your cursor in, open the Command Palette (cmd+shift+p or ctrl+shift+p), and run the: “Log Cursor Scope” command. This will trigger a notification which will contain a list of scopes. The first scope that’s listed is the one you should add to the list of scopes in the settings for the package. Here are some examples: .source.gfm (markdown file), .text.plain (text file), .text.tex.latex (latex file).

Acknowledgement

Inspired by autocomplete-APPLEASMx64.

License

MIT © Shuai Wu

Keywords: autocomplete, english, words, explnaation, fuzzy Suggest keywords
Fork me on GitHub